aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xci/before_script.sh2
-rwxr-xr-xci/install.sh8
2 files changed, 3 insertions, 7 deletions
diff --git a/ci/before_script.sh b/ci/before_script.sh
index e8ecd8c990..445996a8df 100755
--- a/ci/before_script.sh
+++ b/ci/before_script.sh
@@ -25,8 +25,6 @@ if [[ "${TRAVIS_OS_NAME}" == osx ]]; then
# That allows to test changing the group of the file by `os_fchown`.
sudo dscl . -create /Groups/chown_test
sudo dscl . -append /Groups/chown_test GroupMembership "${USER}"
-
- macos_rvm_dance
fi
# Compile dependencies.
diff --git a/ci/install.sh b/ci/install.sh
index f28227d95c..f51ba1a776 100755
--- a/ci/install.sh
+++ b/ci/install.sh
@@ -21,12 +21,10 @@ echo "Install neovim module for Python 3."
# https://github.com/travis-ci/travis-ci/issues/8363
CC=cc pip3 -q install --user --upgrade neovim || true
-echo "Install neovim RubyGem."
-if [ "${TRAVIS_OS_NAME}" = osx ] ; then
- macos_rvm_dance
- gem update --system
+if ! [ "${TRAVIS_OS_NAME}" = osx ] ; then
+ echo "Install neovim RubyGem."
+ gem install --no-document --version ">= 0.2.0" neovim
fi
-gem install --no-document --version ">= 0.2.0" neovim
if [[ "${TRAVIS_OS_NAME}" == linux ]]; then
echo "Install neovim npm package"